Subject: snf-manage user information

Description

When using "snf-manage user-show $UUID" the received information is the sum of all quotas (user and project quota).

This is not mentioned somewhere explicitly.

In order to get more precise quotas we now use "snf-manage astakos-quota --user $UUID" which has a detailed output of all the above.

The "snf-manage user-show $UUID" should contain everything in detail regarding the user.

"snf-manage astakos-quota ..." should not contain user specific information.

"snf-manage project-show $ProjID" should contain the project related information and should also specify in the accepted members the

$UUIDs of the accepted members.

In order to have a general overview there should probably be a "snf-manage stats..." or "snf-manage astakos-stats...".

Associated revisions

Revision 91eca048 - 05/13/2013 04:00 pm - Giorgos Korfiatis 

astakos: List quotas in user-show with `--quotas'

Refs #3530

Use the same utility function as astakos-quota. Update the latter

to a SynnefoCommand.

History

#1 - 04/05/2013 12:15 pm - Konstantinos Tompoulidis

I happened to also need the current usage besides the whole (project and user) quota.

Ideally under snf-manage user-show $UUID at the bottom the information should be displayed in a table.

The values should be vertical and the horizontal fields should contain user:used/total - project:used/total - total : used/total (per field).

#2 - 04/05/2013 12:43 pm - Konstantinos Tompoulidis

- Assignee changed from Georgios Tsoukalas to Giorgos Korfiatis

#3 - 06/19/2013 01:31 pm - Giorgos Korfiatis

- Status changed from New to Resolved
